<template>
	<div class="ui-option grid center-align gap-1">
		<div class="ui-icon bg gray-800">
			<img :src="logo" alt="logo" style="border-radius: 10px;" />
		</div>
		<div>
			<h7><b>{{ title }}</b></h7>
			<p id="desc" class="lead sm">
				{{ desc }}
			</p>
		</div>
	</div>
</template>

<script>
export default {
	name: 'Option',
	props: {
		logo: String,
		title: String,
		desc: String,
		defaultChecked: Boolean,
	},
	data() {
		return {
			checked: this.defaultChecked,
		};
	},
	methods: {
		checkValue() {
			this.checked = !this.checked;
			this.$emit('change', this.checked);
		},
	},
};
</script>

<style scoped lang="scss">

.ui-option {
	grid-template-columns: auto 1fr;
}

.ui-icon {
	$size-icon: 2rem;
	width: $size-icon;
	height: $size-icon;
}

#desc{
	font-size: 0.8em;
}
</style>
